- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.ListAlphaEvolveProgramsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#body.aspect)

List all `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms#AlphaEvolveProgram`s in a given experiment that follow the criteria provided in the request.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*/alphaEvolveExperiments/*}/alphaEvolvePrograms`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name (AlphaEvolveExperiment) of the experiment. Format: `projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}/alphaEvolveExperiments/{alphaEvolveExperiment}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of programs to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `alphaEvolvePrograms.list` call. Provide this to retrieve the subsequent page. |
| `orderBy` | `string` Optional. Sorting criterion for the programs. Comma separated list of metrics to sort by and optionally sort order, e.g. "score1 desc, score2". The criteria are applied in the order listed in the field. An implicit criterion of sorting by createTime descending is always applied as the final tie-breaker after all other specified criteria. |
| `stateFilter` | ``enum (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms#ProgramState`)`` Optional. Filter to apply to the programs. Examples: "stateFilter = 'COMPLETED'" "stateFilter = 'INITIALIZED' OR "stateFilter = 'EVALUATING'" If empty, the behavior defaults to listing programs in REGISTRATION_COMPLETE state or processing state is NULL. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms/list#google.cloud.discoveryengine.v1alpha.AlphaEvolveService.ListAlphaEvolvePrograms`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "alphaEvolvePrograms": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms#AlphaEvolveProgram`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `alphaEvolvePrograms[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/projects.locations.collections.engines.sessions.alphaEvolveExperiments.alphaEvolvePrograms#AlphaEvolveProgram`)`` Output only. List of programs matching the criteria provided in the request. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).